View Issue Details

IDProjectCategoryView StatusLast Update
0002067Far ManagerMousepublic2013-04-25 17:12
ReporterMaximusAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002067: Нелогичность реакции на колесо мышки в вертикальных меню
DescriptionВ других элементах интерфейса (панели, редактор, вьювер) колесо мыши скроллирует "поле", перемещение курсора получается вторичным.
В вертикальном меню колесо перемещает именно курсор, скроллирование "поля" начинается только после достижения курсором верха/низа видимого поля.

Нелогично. Если уж используется мышь, то крутя колесо я ожидаю сдвиг видимых элементов вверх/вниз. Выполнить требуемый элемент можно кликнув по нему.
TagsNo tags attached.
Build2604

Activities

DrKnS

2012-04-11 21:39

administrator   bugnote:0008875

2604.

Maximus

2012-04-13 13:31

reporter   bugnote:0008886

хотелось бы
1. чтобы скролл был закольцован (как раньше), т.е. при достежении верха и скролле вверх курсор прыгал на последний элемент (и наоборот). Ест-но, если у меню соответствующие флаги. По крайней Мере F11 и F2 раньше были закольцованы
2. при скролле вверх затыкается на разделителе (например, в UserMenu - F2). Скролл вниз разделители перепрыгивает, как и ожидалось.

Issue History

Date Modified Username Field Change
2012-04-11 13:59 Maximus New Issue
2012-04-11 21:39 DrKnS Note Added: 0008875
2012-04-11 21:39 DrKnS Assigned To => DrKnS
2012-04-11 21:39 DrKnS Status new => feedback
2012-04-13 13:31 Maximus Note Added: 0008886
2012-04-13 13:31 Maximus Status feedback => assigned
2013-04-25 17:12 alexy Build => 2604
2013-04-25 17:12 alexy Status assigned => closed
2013-04-25 17:12 alexy Resolution open => fixed
2013-04-25 17:12 alexy Fixed in Version => 3.0